Bug 1477174 - [Doc-RFE] Document S3 bucket policy compatibility
[Doc-RFE] Document S3 bucket policy compatibility
Status: VERIFIED
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
high Severity unspecified
: rc
: 3.0
Assigned To: John Wilkins
Shreekar
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 08:14 EDT by Anjana Suparna Sriram
Modified: 2017-11-17 01:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2017-08-01 08:14:10 EDT
Additional info: RHCS 3.0 Content Plan:
https://docs.google.com/document/d/1fp1j6iPr9UPHCMWqqS8QG3SXiSQ3n9Y9a1YogivhtzA/edit
Comment 3 John Wilkins 2017-09-20 12:48:40 EDT
Sorry. Assigned the wrong bug to QA.
Comment 5 shilpa 2017-09-21 03:08:43 EDT
(In reply to John Wilkins from comment #4)
> See
> https://gitlab.cee.redhat.com/red-hat-ceph-storage-documentation/doc-
> Red_Hat_Ceph_Storage_3-Developer_Guide/commit/
> 722db4049bde1f54cde14bc7ceb59787187c5090


These features are not yet supported afaik. The bucket policies can be applied but the features themselves are not supported by downstream RGW. 

* `s3:DeleteReplicationConfiguration`
* `s3:GetAccelerateConfiguration`
* `s3:GetBucketLogging`
* `s3:GetBucketNotification`
* `s3:GetBucketTagging`
* `s3:GetReplicationConfiguration`
* `s3:PutAccelerateConfiguration`
* `s3:PutBucketLogging`
* `s3:PutBucketNotification`
* `s3:PutBucketTagging`
* `s3:PutReplicationConfiguration`


@cbodley, could you please confirm?
Comment 6 Casey Bodley 2017-09-21 14:49:34 EDT
correct, none of those operations are implemented
Comment 7 Harish NV Rao 2017-10-11 04:58:03 EDT
(In reply to Casey Bodley from comment #6)
> correct, none of those operations are implemented

Moving this defect to assigned state
Comment 10 John Wilkins 2017-11-16 09:46:30 EST
Removed.

Note You need to log in before you can comment on or make changes to this bug.